#
# spec file for package inetd (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         inetd
Copyright:    BSD
Group:        Networking/Daemons
Provides:     nkitb:/usr/sbin/inetd inet-daemon
Requires:     netcfg /usr/sbin/tcpd
Autoreqprov:  on
Version:      1.2
Release:      82
Summary:      The inetd networking daemon
BuildRoot:    %{_tmppath}/%{name}-root
Source:  inetd-bsd-%{version}.tar.bz2
Source1: inetd.init
Source2: rc.config.inetd

%description
This package contains the inetd networking daemon. Inetd listens
on certain Internet sockets for connection requests and starts the
program for this request.

SuSE series: n

%prep
%setup -n inetd-bsd-%{version}

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure --prefix=/usr --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
make install DESTDIR=$RPM_BUILD_ROOT
# Install inetd init script
install -m 744 %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/inetd
ln -sf ../../etc/init.d/inetd $RPM_BUILD_ROOT/usr/sbin/rcinetd
# Install rc.config template
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/var/adm/fillup-templates/

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   rm -rf $RPM_BUILD_ROOT
fi
#############################################################################

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.inetd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.inetd"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/inetd

%postun
sbin/insserv etc/init.d
############################################################################

%files
%doc COPYING AUTHORS README NEWS THANKS
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
%{_sbindir}/inetd
%{_sbindir}/rcinetd
%config /etc/init.d/inetd
/var/adm/fillup-templates/rc.config.inetd

%changelog -n inetd
* Fri Jul 13 2001 - grimmer@suse.de
- fixed file list (using wildcards instead of the directory
  name for the man pages)
* Thu Jun 14 2001 - cihlar@suse.cz
- provides inet-daemon [#8675]
* Wed Apr 11 2001 - kukuk@suse.de
- Update to 1.2 (IPv6 fixes)
* Mon Mar 26 2001 - kukuk@suse.de
- Update to 1.1 (fix [Bug #4031])
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Nov 28 2000 - kukuk@suse.de
- Add $remote_fs
* Mon Nov 27 2000 - kukuk@suse.de
- Update to 1.0b
* Sun Nov 26 2000 - kukuk@suse.de
- Move init scripts to /etc/init.d
* Fri Nov 24 2000 - kukuk@suse.de
- Use new init script scheme
* Sun Oct 01 2000 - kukuk@suse.de
- Update to 1.0a to compile with glibc 2.2
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcinetd link
* Wed Apr 12 2000 - kukuk@suse.de
- New, split from nkitb
